package org.jeecg.modules.clockinlog.ressp;

import lombok.Data;

@Data
public class ClockInLogResp {

    /**项目打卡Id*/
    private String id;
    /**打卡id*/
    private String logId;
    private String clockInPic;
    private String clockInAddress;
    /**项目打卡开始时间*/
    private String clockStartTime;
    /**打卡时间*/
    private String clockInTime;
    /**图片*/
    private String pic;
    /**地址*/
    private String address;
    /**是否打卡 0否 1是*/
    private Integer clockInFlag;
    private String time;


    private Integer type;


    public String getPic(){
        if(this.pic == null){
            this.pic = this.clockInPic;
        }
        return this.pic;
    }


    public String getAddress(){
        if(this.address == null){
            this.address = this.clockInAddress;
        }
        return this.address;
    }

    public Integer getClockInFlag(){
        Integer clockInFlag = this.clockInFlag;
        if(this.type == 2){
            clockInFlag = 1;

        }
        return clockInFlag;
    }



}
